Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class MetricProperties

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<Object,Object>
              java.util.Properties
                  org.hyperic.hq.product.MetricProperties

All Implemented Interfaces:
  Serializable, Cloneable, Map<Object,Object>

    public class MetricProperties

extends Properties

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`MetricProperties()`
`MetricProperties(Properties defaults)`

Method Summary
`void` | `clear()`
`boolean` | `equals(Object o)`
`int` | `hashCode()`
`Object` | `put(Object key, Object value)`
`void` | `putAll(Map<? extends Object,? extends Object> t)`
`Object` | `remove(Object key)`
`Object` | `setProperty(String key, String value)`
`String` | `toString()`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, store, store, storeToXML, storeToXML, stringPropertyNames`

Methods inherited from class java.util.Hashtable
`clone, contains, containsKey, containsValue, elements, entrySet, get, isEmpty, keys, keySet, rehash, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MetricProperties

    public MetricProperties()

### MetricProperties

    public MetricProperties(Properties defaults)

Method Detail

### setProperty

    public Object setProperty(String key,
                              String value)

  Overrides:
    `setProperty` in class `Properties`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map<Object,Object>`
  Overrides:
    `clear` in class `Hashtable<Object,Object>`

### put

    public Object put(Object key,
                      Object value)

  Specified by:
    `put` in interface `Map<Object,Object>`
  Overrides:
    `put` in class `Hashtable<Object,Object>`

### putAll

    public void putAll(Map<? extends Object,? extends Object> t)

  Specified by:
    `putAll` in interface `Map<Object,Object>`
  Overrides:
    `putAll` in class `Hashtable<Object,Object>`

### remove

    public Object remove(Object key)

  Specified by:
    `remove` in interface `Map<Object,Object>`
  Overrides:
    `remove` in class `Hashtable<Object,Object>`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in interface `Map<Object,Object>`
  Overrides:
    `equals` in class `Hashtable<Object,Object>`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map<Object,Object>`
  Overrides:
    `hashCode` in class `Hashtable<Object,Object>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Hashtable<Object,Object>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.